package org.project.entity.players;

import org.project.entity.enemies.Enemy;


public class Knight extends Player {

    private final static PlayerStats stats = new PlayerStats(10, 10,
            16, 22,
            18, 28, 34,
            180, 70);

    public Knight(String name) {
        super(name, stats);
    }

    @Override
    public void heavyAttack(Enemy target) { target.takeDamage(stats.heavyAttackDamage); }

    @Override
    public void specialAbility(Enemy target) {
            target.takeDamage(stats.specialAbilityDamage); //causing damage
            target.setStunned(true); //stun the enemy
            System.out.println("You performed a shield bash that stunned the enemy.");
    }
}